Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-1a
/
ecom
/
{year}
/
{month}
GSTR-1A ECOM
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/ecom/{year}/{month} \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/ecom/{year}/{month}"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-1a/ecom/{year}/{month}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "timestamp": 1763446641000,
  "transaction_id": "41bb8041-fb83-4654-8d75-85a19f329158",
  "data": {
    "status_cd": "1",
    "data": {
      "ecom": {
        "b2b": [
          {
            "inv": [
              {
                "val": 34567,
                "itms": [
                  {
                    "num": 100,
                    "itm_det": {
                      "rt": 1,
                      "txval": 456,
                      "iamt": 4.56
                    }
                  }
                ],
                "inv_typ": "DE",
                "flag": "N",
                "pos": "32",
                "idt": "12-03-2023",
                "inum": "DE-1",
                "sply_ty": "INTER",
                "chksum": "6927009f6608b520bb94b0b6890512a91dcc74e5a8723c91280241287058bf66"
              },
              {
                "val": 235423,
                "itms": [
                  {
                    "num": 25,
                    "itm_det": {
                      "rt": 0.25,
                      "txval": 1234,
                      "iamt": 3.09
                    }
                  }
                ],
                "inv_typ": "DE",
                "flag": "N",
                "pos": "32",
                "idt": "08-03-2023",
                "inum": "Normal-1",
                "sply_ty": "INTER",
                "chksum": "6927009f6608b520bb94b0b6890512a91dcc74e5a8723c91280241287058bf66"
              }
            ],
            "rtin": "32KLJIP1179C1ZF",
            "stin": "33CBCHE8993D1Z5"
          },
          {
            "inv": [
              {
                "val": 567,
                "itms": [
                  {
                    "num": 100,
                    "itm_det": {
                      "rt": 1,
                      "txval": 765
                    }
                  }
                ],
                "inv_typ": "SEWOP",
                "flag": "N",
                "pos": "37",
                "idt": "21-03-2023",
                "inum": "B2B-2",
                "sply_ty": "INTER",
                "chksum": "6927009f6608b520bb94b0b6890512a91dcc74e5a8723c91280241287058bf66"
              },
              {
                "val": 7654654,
                "itms": [
                  {
                    "num": 100,
                    "itm_det": {
                      "rt": 1,
                      "txval": 78654,
                      "iamt": 786.54
                    }
                  }
                ],
                "inv_typ": "SEWP",
                "flag": "N",
                "pos": "27",
                "idt": "21-03-2023",
                "inum": "B2B",
                "sply_ty": "INTER",
                "chksum": "6927009f6608b520bb94b0b6890512a91dcc74e5a8723c91280241287058bf66"
              }
            ],
            "rtin": "37AABMH4573CKZN",
            "stin": "33CBCHE8993D1Z5"
          }
        ],
        "b2c": [
          {
            "stin": "33CBCHE8993D1Z5",
            "csamt": 546,
            "samt": 0,
            "rt": 1,
            "flag": "N",
            "pos": "04",
            "txval": 8778654,
            "camt": 0,
            "iamt": 87786.54,
            "sply_ty": "INTER",
            "chksum": "6927009f6608b520bb94b0b6890512a91dcc74e5a8723c91280241287058bf66"
          }
        ],
        "urp2b": [
          {
            "inv": [
              {
                "val": 235423,
                "itms": [
                  {
                    "num": 25,
                    "itm_det": {
                      "rt": 0.25,
                      "txval": 1234,
                      "iamt": 3.09
                    }
                  }
                ],
                "flag": "N",
                "pos": "32",
                "idt": "08-03-2023",
                "inum": "URP2B-1",
                "sply_ty": "INTER",
                "inv_typ": "R",
                "chksum": "6927009f6608b520bb94b0b6890512a91dcc74e5a8723c91280241287058bf66"
              }
            ],
            "rtin": "32KLJIP1179C1ZF"
          }
        ],
        "urp2c": [
          {
            "csamt": 546,
            "samt": 0,
            "rt": 1,
            "flag": "N",
            "pos": "04",
            "txval": 8778654,
            "camt": 0,
            "iamt": 87786.54,
            "sply_ty": "INTER",
            "chksum": "6927009f6608b520bb94b0b6890512a91dcc74e5a8723c91280241287058bf66"
          }
        ]
      }
    }
  }
}

Response body schema

View response body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session flow and pass the token in the authorization header.

x-api-version
string
default:1.0.0

Compliance API version.

x-api-key
string
required

API key for identification.

Path Parameters

year
string
required

Return year, for example 2025.

month
string
required

Return month, for example 04.

Query Parameters

recipient_gstin
string

Optional recipient GSTIN filter.

sub_section
string

Optional subsection filter.

from
string

Optional from date in DD/MM/YYYY format.

Response

200 - application/json

Success

The response is of type object.